*** This file is closed. For details on newer releases, look in HISTORY.txt ***

2005-09-04 Hanno Schlichting <schlichting@bakb.net>, Jodok Batlogg <batlogg@solution2u.net>

	* tagged and released 2.1

2005-08-26 Hanno Schlichting <schlichting@bakb.net>

	* added a _test_i18n.py which is based on I18NTestCase. But disabled it for now.

2005-08-18 Hanno Schlichting <schlichting@bakb.net>, Jodok Batlogg <batlogg@solution2u.net>

	* tagged and released 2.1-rc3

2005-08-10 Hanno Schlichting <schlichting@bakb.net>

	* added Kannada [provided by mahiti]

2005-08-07 Hanno Schlichting <schlichting@bakb.net>

	* tagging 2.1-rc2

2005-07-30 Hanno Schlichting <schlichting@bakb.net>

	* tagging 2.1-rc1

2005-07-14 Hanno Schlichting <schlichting@bakb.net>

	* rebuilt pot's and synced po's for Plone and Archetypes

2005-07-09 Hanno Schlichting <schlichting@bakb.net>

	* some cleanup done after beta1, rebuilt pot's and synced po's

2005-07-08 Hanno Schlichting <schlichting@bakb.net>

	* i18ngenerator: add the template names, used in the display menu

	* i18ngenerator: changed the DisplayList stuff to a dynamic approach

2005-07-04 Hanno Schlichting <schlichting@bakb.net>

	* Added in some new messages in ATContentTypes

	* the workflow action api changed in CMF 1.5, so i18ngenerator didn't found
	these anymore, updated and readded these to the pot / po files

	* moved indices and metadata names and descriptions to the plone domain,
	so finally the criterion edit pages in atct work

2005-07-04 Hanno Schlichting <schlichting@bakb.net>

	* tagging 2.1-beta3

2005-07-01 Hanno Schlichting <schlichting@bakb.net>

	* /utils: you can use product abbreviations on all scripts now

	* rebuilt pot and synced po files with changes after cmf 1.5 merge

2005-06-19 Hanno Schlichting <schlichting@bakb.net>

	* rebuilt pot and synced po files with changes of loginageddon

	* converted ATReferenceBrowserWidget to its own domain

2005-06-18 Hanno Schlichting <schlichting@bakb.net>

	* some minor updates to tests to ignore combinedchart.pot

	* i18ngenerator: ignore widget descriptions containing only spaces

2005-06-13 Hanno Schlichting <schlichting@bakb.net>

	* reflecting changes in Plone: all literal msgid's converted to non-literal

	* replaced the html-entities in the rebuild-pot step, so the original comments
	are correct and not misleading

2005-06-11 Hanno Schlichting <schlichting@bakb.net>

	* /utils: add find-untranslated script, to scan page templates for missing
	i18n markup and add the first bunch of found msgid's to the pot/po's

	* Add in workflow state and transistion titles, as these are used now

	* We had to switch the day/month translations to a non-literal msgid-format,
	because there was no way to translate May differently in a long and short
	version

2005-06-06 Hanno Schlichting <schlichting@bakb.net>

	* /utils: added combinedchart.py to create the chart shown on plone.org

2005-06-02 Hanno Schlichting <schlichting@bakb.net>

	* i18ngeneratorgeddon!!! now we use i18ngenerator in the pot creation
	process. documentation on how to do this updated on plone.org

	* new util relocate.py to help in the domain switching process

	* new utils rescue.py and renamemsgid.py to help in the conversion process
	from literal to non-literal msgids

2005-06-01 Hanno Schlichting <schlichting@bakb.net>

	* sync po-files with pot, label_state was fixed

	* Added Bengali, Hindi, Tamil and Telugu [provided by mahiti]

2005-05-30 Hanno Schlichting <schlichting@bakb.net>

	* i18ngenerator.py: added various DisplayLists. Evil hack for now.

	* i18ngenerator.py: added criteria, index, metadata description

	* i18ngenerator.py: add indexes and metadata to atcontenttypes domain
	(these are used in the smart folder configuration)

	* i18ngenerator.py: add automatic day/monthname generation, add in new
	formats %a (Mon, Tue, ...) and %b (Jan, Feb, ...)

	* i18ngenerator.py: add controlpanel categories to

2005-05-29 Hanno Schlichting <schlichting@bakb.net>

	* provide a new tool: i18ngenerator.py it uses PloneTestCase to start up
	a standard Plone instance and collects all strings needing translation
	from it. This is used to kill a lot of msgids from manual.pot that needed
	manual updating.

	* update merge.* to reflect changes in i18ndude: it is now possible to
	merge two pot's into another one in one step (useful for manual + generated)

	* sync.py now supports to specify a language code instead of a product
	So you can do "sync cs" which will sync all <product>-cs.po files with
	their respective <product>.pot's (thx to tuttle for the tip)

2005-05-27 Hanno Schlichting <schlichting@bakb.net>

	* rebuilt from plone-2.1 branch and synced po-files.

2005-05-26 Hanno Schlichting <schlichting@bakb.net>

	* refactored out some methods used in the utils to a common utils.py

	* provide some nice shorthands for builing pot's, see rebuilt-pot.py

2005-05-22 Hanno Schlichting <schlichting@bakb.net>

	* added tests for original messages in msgstr and cleaned up *.po
	(there were lots of these due to our previous method of copying these
	into msgstr for reference, now these are in the English translation comments)

	* added test to ensure that all message attributes (${foo}'s) from the pot
	are in the msgstr's and written correctly

	* added test for accesskeys* are always single characters

2005-05-21 Jodok Batlogg <batlogg@solution2u.net>
        
	* tagged and released 2.1-beta2

2005-05-21 Hanno Schlichting <schlichting@bakb.net>

	* added tests to validate date_format_* msgids according to PLIP 98 and
	corrected some existing ones.

2005-05-16 Jodok Batlogg <batlogg@solution2u.net>
        
	* tagged and released 2.1-beta

2005-05-16 Hanno Schlichting <schlichting@bakb.net>

	* merged plip1-integrate-atct-atrefbrow branch to trunk

	* moved the tests one directory up

2005-05-08 Jodok Batlogg <batlogg@solution2u.net>

	* manual.pot, plone.pot: removed msgid "Please correct your errors"
    
2005-05-06 Hanno Schlichting <schlichting@bakb.net>

	* *.po, plone.pot: rebuilt from plone-2.1 branch. remerged files to reflect changes.

2005-05-05 Hanno Schlichting <schlichting@bakb.net>

	* i18n/ remove all msgid's from products pot that are already in plone.pot

	* i18n/ created Archetypes i18n files for Plone domain. Thanks to Gerry Kirk

	* i18n/ corrected some duplicate headers

2005-05-04 Hanno Schlichting <schlichting@bakb.net>

	* i18n/utils/ changed rebuild-pot to create pot files with empty msgstr's

	* plone*.po, plone.pot: rebuilt from plone-2.1 branch. remerged files to reflect changes.

	* i18n/ merged the ATContentTypes locales folder to the PloneTranslation Product

2005-05-03 Hanno Schlichting <schlichting@bakb.net>

	* i18n/tests/ made tests to test po files from all products contained in i18n/

	* i18n/utils/ provided some easy to use scripts for administration

	* i18n/ merged the ATReferenceBrowserWidget i18n folder to the PloneTranslation Product

2005-04-09  Jodok Batlogg  <batlogg@solution2u.net>

	* *: moved files from cvs.sf.net to svn.plone.org
	
	* i18n/: merged the sf.net i18n Folder to the PloneTranslation Product

	* ChangeLog: merged i18n ChangeLog and PloneTranslation Changelog

2005-03-04  Jodok Batlogg <batlogg@solution2u.net>

        * version bump to 0.7 (preparing to switch to plone-2.1 branch), some new languages
        
        * version bump to 2.1-alpha (preparing to switch to plone-2.1 branch), 
	recreated remerged with plone-2.1 branch
        
2005-03-13  Jodok Batlogg  <batlogg@solution2u.net>

	* plone-sl.po: added. thanks to Jadran Prodan

2005-03-04  Jodok Batlogg  <batlogg@solution2u.net>

	* *.po, plone.pot: rebuilt from plone-2.1 branch. remerged files to reflect changes.

2004-11-20  Jodok Batlogg <batlogg@solution2u.net>

        * version bump (Plone 2.0.5 immanent), some new languages
        

2004-11-27  Leonard Norrgard  <vinsci@refactor.fi>

	* plone-sv.po: Change heading "Fellogg" to "Fel-logg". To prevent
	unnecessary confusion, I'm citing section 10.7.1 of
	"Myndigheternas skrivregler", Ds 2001:32 in support. Also fixed
	some typos and an encoding error (a character was encoded in utf-8
	rather than iso-latin-15).

	* ChangeLog: Make it use standard indent format ("^\t*
	filename:"), to enable Emacs font-lock-mode to display the
	file with colour highlighting.

2004-11-04  Dorneles Trem? <dorneles@x3ng.com.br>

	* manual.pot: Added 'Small/Normal/Large Text' site actions.

	* *.po: Synced and standardized header format.

2004-11-03  Dorneles Trem? <dorneles@x3ng.com.br>

	* rebuild-pot.sh: Added checks for Plone & i18ndude. Made paths
	relative.  Cleaned up logic. Enabled cleaning of '## X more:' by
	default. Changed to create a sorted msgid master POT file.

	* merge.sh: Cleaned up logic. Changed to ignore plone-en.po.

	* build.sh, build.bat: Removed deprecated files.

	* manual.pot: Normalized metadata headers. Removed unnecessary
	comments.  Standardized file format: 2 blank lines between msgids.

	* plone.pot: Regenerated with the new rebuild-pot.sh.

	* *.po: Synced with the new master POT file.

2004-11-02 Alexander Limi <limi@plone.org>

	* plone-hr.po: Added Croatian translation, thanks to Damir Roso!

2003-10-22  Dorneles Trem? <dorneles@x3ng.com.br>

	* plone.pot: Fixed issue #2386: Misc political incorrectness for
	msgid 'help_search_keywords'.

2004-08-13  Jodok Batlogg <jodok.batlogg@telesis.at>

        * version bump
        
2004-05-12  Jodok Batlogg  <batlogg@solution2u.net>

        * i18n/plone-da.po: was broken in the last version

2004-05-10  Jodok Batlogg  <batlogg@solution2u.net>

        * version bump

2004-03-18  Jodok Batlogg  <batlogg@solution2u.net>

        * created product

2004-03-21  Jodok Batlogg  <batlogg@solution2u.net>

	* plone-es.po, plone-es-es.po, plone-et.po, plone-pl.po: Fixed some obvious errors (reported by the testcase).

2003-12-16  Daniel Nouri  <daniel.nouri@con-fuse.org>

	* manual.pot: This is the list of manually maintained messages. We
	have to tidy this up!

	Note that this is not meant to be translated!

2003-12-16  Daniel Nouri  <daniel.nouri@con-fuse.org>

	* plone.pot: This is a first, raw version of the POT file for
	Plone2.  It should be a better starting point for new translations
	than the POT in Plone-1_0_5-branch.

	We need to merge existing translations against this POT, which is
	a TODO.

2003-09-05 Jodok Batlogg <batlogg@solution2u.net>

	* enabled syncmail script for plone-i18n to send cvs checkins to
	plone-cvs@lists.sourceforge.net

2003-09-01 Jodok Batlogg <batlogg@solution2u.net>

	* build.bat: Added. Thanks to Hanno Schlichting

	* msgfmt.exe: Added. Tthanks to Franco Bez
	(http://home.a-city.de/franco.bez/gettext/gettext_win32_en.html)

2003-08-28 Jodok Batlogg <batlogg@solution2u.net>

	* plone.pot: added strings for
	plone_forms/mail_password_response.pt

2003-08-27  Leonard Norrgard  <vinsci@refactor.fi>

	* plone-fi.po: Set language code to fi (was en after last weeks
	msginit regeneration).

2003-08-24 Fabiano Weimar dos Santos (Xiru) <fabiano@x3ng.com.br>

	* plone-pt-br.po: Replaced tabs by spaces.

2003-08-21  Leonard Norrgard  <vinsci@refactor.fi>

	* plone-fi.po: Completely regenerated, as the previous version had
	been mangled by buggy translation programs. Please use KBabel
	which is known to work. Note to maintainers of new translations:
	msginit version 0.12.1 needs the --no-wrap option, otherwise the
	generated po file will contain many sections with msgid "".

2003-07-31  Dorneles Trem? <dorneles@x3ng.com.br>

	* plone-fi.po: Fixed a typo on Content-Type charset header and
	removed duplicated entries. Added missing metadata headers.

	* plone-ko.po, plone-zh-tw.po, plone-zh-cn.po: Removed duplicated
	entries.

2003-07-26  Leonard Norrgard  <vinsci@refactor.fi>

	* plone-fi.po: Initial checkin. Thanks to Heimo Laukkanen
	<huima@iki.fi> and Antti Kaihola <akaihola@ambitone.com> for the
	translation work!

2003-07-01  Dorneles Trem? <dorneles@x3ng.com.br>

	* plone-ar.po: Added Arabic required metadata headers.

	* ChangeLog: Added ChangeLog file.

